summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-06-30 18:15:42 +0000
committerSam James <sam@gentoo.org>2022-06-30 18:15:42 +0000
commita2d84b5dea75df392e9d4fc093b88c77087fd687 (patch)
treedcea7cf5ae8f353668b81965e22cb4472347c9df
parentdev-libs/libbsd: update Manifest (diff)
downloadprefix-a2d84b5dea75df392e9d4fc093b88c77087fd687.tar.gz
prefix-a2d84b5dea75df392e9d4fc093b88c77087fd687.tar.bz2
prefix-a2d84b5dea75df392e9d4fc093b88c77087fd687.zip
bootstrap-prefix.sh: crank up Python 3.9 version
Closes: https://bugs.gentoo.org/843368 Closes: https://bugs.gentoo.org/835579 Signed-off-by: Sam James <sam@gentoo.org>
-rwxr-xr-xscripts/bootstrap-prefix.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 5670f37bc2..a484eae4d2 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -1035,13 +1035,14 @@ bootstrap_gnu() {
PYTHONMAJMIN=3.9 # keep this number in line with PV below for stage1,2
bootstrap_python() {
- PV=3.9.6
+ PV=3.9.13
A=Python-${PV}.tar.xz
einfo "Bootstrapping ${A%.tar.*}"
- # don't really want to put this on the mirror, since they are
- # non-vanilla sources, bit specific for us
- efetch ${DISTFILES_URL}/${A} || return 1
+ # Don't really want to put this on the mirror, since they are
+ # non-vanilla sources, bit specific for us. Ideally use HTTPS / upstream
+ # but fall back to dev.gentoo.org w/ HTTP (host wget may not suport HTTPS).
+ efetch https://www.python.org/ftp/python/${PV}/${A} || efetch ${DISTFILES_URL}/${A} || return 1
einfo "Unpacking ${A%.tar.*}"
export S="${PORTAGE_TMPDIR}/python-${PV}"